Skip to content
Browse files

require dm-{transactions,migrations}

  • Loading branch information...
1 parent b3e294c commit 179288ddeb724aabdda30141f0b295a04669a88b @pietia pietia committed
Showing with 3 additions and 4 deletions.
  1. +0 −2 demo/Gemfile
  2. +1 −2 eventlog.rb
  3. +2 −0 lib/dm-hibernate-adapter.rb
View
2 demo/Gemfile
@@ -26,11 +26,9 @@ gem 'dm-rails', DM_VERSION
# gem 'dm-oracle-adapter', DM_VERSION
# gem 'dm-sqlserver-adapter', DM_VERSION
-gem 'dm-migrations', DM_VERSION
gem 'dm-types', DM_VERSION
gem 'dm-validations', DM_VERSION
gem 'dm-constraints', DM_VERSION
-gem 'dm-transactions', DM_VERSION
gem 'dm-aggregates', DM_VERSION
gem 'dm-timestamps', DM_VERSION
gem 'dm-observer', DM_VERSION
View
3 eventlog.rb
@@ -1,6 +1,5 @@
require 'rubygems'
-require 'lib/dm-hibernate-adapter.rb'
-require 'dm-transactions'
+require 'dm-hibernate-adapter'
DataMapper.setup(:default, :adapter => "hibernate", :dialect => "H2", :username => "sa", :url => "jdbc:h2:target/eventlog")
View
2 lib/dm-hibernate-adapter.rb
@@ -22,6 +22,8 @@
require 'slf4r/java_logger'
require 'dm-core'
+require 'dm-transactions'
+require 'dm-migrations'
begin
require 'dm-hibernate-adapter_ext.jar'

0 comments on commit 179288d

Please sign in to comment.
Something went wrong with that request. Please try again.